Native asset addresses
curl --request GET \
--url https://mainnet.gomaestro-api.org/v1/assets/{asset}/addresses \
--header 'api-key: <api-key>'import requests
url = "https://mainnet.gomaestro-api.org/v1/assets/{asset}/addresses"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://mainnet.gomaestro-api.org/v1/assets/{asset}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"address": "addr_test1vpxa84r650wsmcm887kkwar5y7ek5yyrjvgfqd8a608s2vsdnutyy",
"amount": 100000000000000
},
{
"address": "addr_test1vrjpwhg7vlhck0ph5q0dpnkqferx3ltf0aqvy4qzn9m5v2gcvqhm8",
"amount": 320000000000000
}
],
"last_updated": {
"timestamp": "2022-10-10 20:25:28",
"block_hash": "c0d2cf4d7e0e9dfbfda2e09330a8aa2dd426a0d9c2d927ea28e43aa0b6550f8f",
"block_slot": 32266746
},
"next_cursor": null
}Assets
Native asset addresses
Get list of addresses holding a specific Cardano native asset with balance amounts and distribution statistics.
GET
/
assets
/
{asset}
/
addresses
Native asset addresses
Authorizations
Project API Key
Headers
Large numbers returned as strings if set to true
Path Parameters
Asset, encoded as concatenation of hex of policy ID and asset name
Query Parameters
The max number of results per page
Required range:
x >= 0Pagination cursor string, use the cursor included in a page of results to fetch the next page
Response
Returns addresses holding the specified asset, paired with the amounts of the asset owned
A paginated response. Pass in the next_cursor in a subsequent request as the cursor query parameter to fetch the next page of results.
Was this page helpful?

